> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an event type

> Deletes an event type.



## OpenAPI

````yaml DELETE /projects/{project_id}/event_types/{event_type_id}
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /projects/{project_id}/event_types/{event_type_id}:
    delete:
      summary: Delete an event type
      description: Deletes an event type.
      operationId: delete-event-type
      parameters:
        - name: project_id
          in: path
          schema:
            type: string
          required: true
        - name: event_type_id
          in: path
          schema:
            type: integer
          required: true
          description: Event type ID
      responses:
        '204':
          description: '204'
          content:
            text/plain:
              examples:
                Result:
                  value: ''
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: error
                    statusCode: 400
                    errors:
                      - message: Event type cannot be deleted.
              schema:
                type: object
                properties:
                  status:
                    type: string
                  statusCode:
                    type: integer
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: error
                    statusCode: 404
                    errors:
                      - message: record not found
              schema:
                type: object
                properties:
                  status:
                    type: string
                  statusCode:
                    type: integer
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````